javax.faces.component.html

## Enum HtmlInputSecret.PropertyKeys

- java.lang.Object
- - java.lang.Enum<HtmlInputSecret.PropertyKeys>
  - - javax.faces.component.html.HtmlInputSecret.PropertyKeys

- All Implemented Interfaces:
    Serializable, Comparable<HtmlInputSecret.PropertyKeys>
  Enclosing class:
    HtmlInputSecret

      protected static enum HtmlInputSecret.PropertyKeys
      extends Enum<HtmlInputSecret.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `alt`
    `autocomplete`
    `dir`
    `disabled`
    `label`
    `lang`
    `maxlength`
    `onblur`
    `onchange`
    `onclick`
    `ondblclick`
    `onfocus`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `onselect`
    `readonly`
    `redisplay`
    `role`
    `size`
    `style`
    `styleClass`
    `tabindex`
    `title`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static HtmlInputSecret.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HtmlInputSecret.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final HtmlInputSecret.PropertyKeys accesskey

    - #### alt

          public static final HtmlInputSecret.PropertyKeys alt

    - #### autocomplete

          public static final HtmlInputSecret.PropertyKeys autocomplete

    - #### dir

          public static final HtmlInputSecret.PropertyKeys dir

    - #### disabled

          public static final HtmlInputSecret.PropertyKeys disabled

    - #### label

          public static final HtmlInputSecret.PropertyKeys label

    - #### lang

          public static final HtmlInputSecret.PropertyKeys lang

    - #### maxlength

          public static final HtmlInputSecret.PropertyKeys maxlength

    - #### onblur

          public static final HtmlInputSecret.PropertyKeys onblur

    - #### onchange

          public static final HtmlInputSecret.PropertyKeys onchange

    - #### onclick

          public static final HtmlInputSecret.PropertyKeys onclick

    - #### ondblclick

          public static final HtmlInputSecret.PropertyKeys ondblclick

    - #### onfocus

          public static final HtmlInputSecret.PropertyKeys onfocus

    - #### onkeydown

          public static final HtmlInputSecret.PropertyKeys onkeydown

    - #### onkeypress

          public static final HtmlInputSecret.PropertyKeys onkeypress

    - #### onkeyup

          public static final HtmlInputSecret.PropertyKeys onkeyup

    - #### onmousedown

          public static final HtmlInputSecret.PropertyKeys onmousedown

    - #### onmousemove

          public static final HtmlInputSecret.PropertyKeys onmousemove

    - #### onmouseout

          public static final HtmlInputSecret.PropertyKeys onmouseout

    - #### onmouseover

          public static final HtmlInputSecret.PropertyKeys onmouseover

    - #### onmouseup

          public static final HtmlInputSecret.PropertyKeys onmouseup

    - #### onselect

          public static final HtmlInputSecret.PropertyKeys onselect

    - #### readonly

          public static final HtmlInputSecret.PropertyKeys readonly

    - #### redisplay

          public static final HtmlInputSecret.PropertyKeys redisplay

    - #### role

          public static final HtmlInputSecret.PropertyKeys role

    - #### size

          public static final HtmlInputSecret.PropertyKeys size

    - #### style

          public static final HtmlInputSecret.PropertyKeys style

    - #### styleClass

          public static final HtmlInputSecret.PropertyKeys styleClass

    - #### tabindex

          public static final HtmlInputSecret.PropertyKeys tabindex

    - #### title

          public static final HtmlInputSecret.PropertyKeys title

  - ### Method Detail

    - #### values

          public static HtmlInputSecret.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HtmlInputSecret.PropertyKeys c : HtmlInputSecret.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HtmlInputSecret.PropertyKeys valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HtmlInputSecret.PropertyKeys>`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.